doctrine:
    dbal:
     url: '%env(resolve:DATABASE_URL)%'
     user: "root"
     password: "root"
     charset: UTF8
     mapping_types:        
        bit: boolean

        # IMPORTANT: You MUST configure your server version,
        # either here or in the DATABASE_URL env var (see .env file)
        #server_version: '5.7'
    orm:
        auto_generate_proxy_classes: true
        naming_strategy: doctrine.orm.naming_strategy.underscore_number_aware
        auto_mapping: true
        mappings:
            App:
                is_bundle: false
                type: annotation
                dir: '%kernel.project_dir%/src/Entity'
                prefix: 'App\Entity'
                alias: App
        dql:
            string_functions:
                MATCH_AGAINST: App\Extensions\Doctrine\MatchAgainst